Browse Source

Add draft of sardine-moc bar

Turns out adding new bar causes weird behavior at least on hugo; will
need to investigate and possibly file bug against i3* (unless I'm doing
something wrong).
Alois Mahdal 8 years ago
parent
commit
6d7b4be9fc
3 changed files with 20 additions and 1 deletions
  1. 9
    0
      dotfiles/i3/bin/i3bar-sardine-moc
  2. 10
    0
      dotfiles/i3/config
  3. 1
    1
      dotfiles/vim/vimrc

+ 9
- 0
dotfiles/i3/bin/i3bar-sardine-moc View File

@@ -0,0 +1,9 @@
1
+#!/bin/sh
2
+# shell script to prepend i3status with more stuff
3
+
4
+i3status | while :
5
+do
6
+        read line
7
+        mocp=$(sardine -c 0 moc)
8
+        echo "$mocp" || exit 1
9
+done

+ 10
- 0
dotfiles/i3/config View File

@@ -159,6 +159,16 @@ bar {
159 159
         status_command i3status
160 160
 }
161 161
 
162
+# bar {
163
+#         id sardine-moc
164
+#         position top
165
+#         workspace_buttons no
166
+#         tray_output none
167
+#         binding_mode_indicator no
168
+#         status_command ~/.i3/bin/13bar-sardine-moc
169
+# }
170
+# bindsym $mod+minus bar mode toggle sardine-moc
171
+
162 172
 # show CapsLock state in statusbar
163 173
 bindsym Caps_Lock           mode "caps"
164 174
 bindsym Shift+Caps_Lock     mode "caps"

+ 1
- 1
dotfiles/vim/vimrc View File

@@ -96,7 +96,7 @@ if &t_Co > 2 || has("gui_running")
96 96
   set hlsearch
97 97
 endif
98 98
 
99
-colorscheme pablo
99
+colorscheme delek
100 100
 hi Folded ctermbg=NONE
101 101
 "set gfn=Droid\ Sans\ Mono\ 9
102 102
 set number